Bug 1030300 - Wrong security type is used for datasource post-install configuration.
Wrong security type is used for datasource post-install configuration.
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: CR2
: EAP 6.2.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 05:17 EST by Petr Kremensky
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:15:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-14 05:17:36 EST
Description of problem:
 Security-domain is always used as security type for configuration of XA datasource even if I choose Username + Password.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.CR1

How reproducible:
 Always

Steps to Reproduce:
 1. Start gui intallation, go to Post-install screen using default values.
 2. Select to install JDBC & Datasource.
 3. Select eg. postgresql as driver vendor and enter some jar file so the installer will let you go Next.
 4. Choose Username + Password as Security Type and finish the installation.
 5. Check configuration files or installation logs

Actual results:
CLI command:
#2 ... --max-pool-size=20 --user-name=master --password="asdasd!1" ...

<security>
    <security-domain>master</security-domain>
</security>

Expected results:
CLI command:
#2 ... --max-pool-size=20 --security-domain=master ...

<security>
    <user-name>master</user-name>
    <password>asdasd!1</password>
</security>

Additional info:
 - Regression against EAP 6.2.0.ER7
 - both standalone and domain are affected
Comment 1 Petr Kremensky 2013-11-14 05:28:44 EST
Please swap actual and expected CLI commands.
Comment 2 Francisco Canas 2013-11-14 11:38:02 EST
Fixed the issue that was causing the ServerCommands to run the wrong version of the command when using username+password as the security method.

See: 
http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=4361fe412b3550c313a43a6dd3bec71dc390feb3
Comment 3 Petr Kremensky 2013-11-19 04:44:32 EST
Verified on EAP 6.2.0.CR2 installer.

Note You need to log in before you can comment on or make changes to this bug.